## indicator-datetime 13.10.0%2b15.04.20150406

=== tests/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC 
             ${GTEST_SOURCE_DIR}/gtest-all.cc 
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${CC_WARNING_ARGS}")

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the indicator-datetime schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/com.canonical.indicator.datetime.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})


add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")

function(add_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
endfunction()
add_test_by_name(test-datetime)
add_test_by_name(test-snap)
add_test_by_name(test-actions)
add_test_by_name(test-alarm-queue)
add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
add_test_by_name(test-clock)
add_test_by_name(test-exporter)
add_test_by_name(test-formatter)
add_test_by_name(test-live-actions)
add_test_by_name(test-locations)
add_test_by_name(test-menus)
add_test_by_name(test-planner)
add_test_by_name(test-settings)
add_test_by_name(test-timezone-file)
add_test_by_name(test-utils)

set (TEST_NAME manual-test-snap)
add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})

##
## EDS Tests
## 

find_program(DBUS_RUNNER dbus-test-runner)
find_program(EVOLUTION_CALENDAR_FACTORY evolution-calendar-factory PATHS /usr/lib/evolution/)
find_program(EVOLUTION_SOURCE_REGISTRY evolution-source-registry PATHS /usr/lib/evolution/)
find_program(GVFSD gvfsd PATHS /usr/lib/gvfs/)
OPTION(EVOLUTION_SOURCE_SERVICE_NAME "DBus name for source registry")
if(NOT EVOLUTION_SOURCE_SERVICE_NAME)
    set(EVOLUTION_SOURCE_SERVICE_NAME "org.gnome.evolution.dataserver.Sources3")
endif()

function(add_eds_test_by_name name)
  set (TEST_NAME ${name})
  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
  add_test (${TEST_NAME}
            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-test.sh
            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
            ${TEST_NAME}                                           # arg3: test name
            ${EVOLUTION_CALENDAR_FACTORY}                          # arg4: evolution-calendar-factory exec
            ${EVOLUTION_SOURCE_SERVICE_NAME}                       # arg5: dbus name for source registry 
            ${EVOLUTION_SOURCE_REGISTRY}                           # arg6: evolution-source-registry exec
            ${GVFSD}                                               # arg7: gvfsd exec
            ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}-config-files) # arg8: canned config files
endfunction()
add_eds_test_by_name(test-eds-valarms)




# disabling the timezone unit tests because they require
# https://code.launchpad.net/~ted/dbus-test-runner/multi-interface-test/+merge/199724
# which hasn't landed yet. These can be re-enabled as soon as that lands.
#function(add_dbusmock_test_by_name name)
#  set (TEST_NAME ${name})
#  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
#  add_test (${TEST_NAME} ${TEST_NAME})
#  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBS})
#endfunction()
#add_dbusmock_test_by_name(test-timezone-geoclue)
#add_dbusmock_test_by_name(test-timezones)

## indicator-datetime 0.0.2+r11+201003160020omsk1

=== debian/changelog ===
indicator-datetime (0.0.2+r11+201003160020omsk1) lucid; urgency=low

  * debian/patches: added indicator-datetime-remove-calendar.patch to
    fix LP: #527326

 -- Bill Filler <bill.filler@canonical.com>  Fri, 19 Mar 2010 17:05:52 -0400

indicator-datetime (0.0.2+r11+201003160020) lucid; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Tue, 16 Mar 2010 00:21:37 +0000

indicator-datetime (0.0.2-0ubuntu1~ppa1) lucid; urgency=low


  * New upstream release.

    * Making label guess and reasonable width starting out.



 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 12:04:55 -0600

indicator-datetime (0.0.1-0ubuntu1) lucid; urgency=low


  * New upstream release.

  * debian/control:

    - add libdbusmenu-gtk-dev build-dep (/!\ not in configure.ac)



 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Feb 2010 10:41:22 +0100

indicator-datetime (0.0.1~r2-0ubuntu3) lucid; urgency=low


  * debian/control: Adding libdbusmenu-gtk as a build dep



 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Feb 2010 10:47:29 -0600

indicator-datetime (0.0.1~r2-0ubuntu2) lucid; urgency=low


  * debian/control:

    - fix build-dep



 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Feb 2010 20:27:22 +0100

indicator-datetime (0.0.1~r2-0ubuntu1) lucid; urgency=low


  * new upstream version



 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Feb 2010 12:10:48 +0100

indicator-datetime (0.0.1~r1-0ubuntu1) lucid; urgency=low


  * Initial packaging



 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Jan 2010 12:13:00 +0100

=== debian/control ===
Source: indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cdbs, 
               debhelper (>= 5), 
               pkg-config,
               intltool (>= 0.35.0), 
               libindicator-dev (>= 0.3.0),
               libdbusmenu-glib-dev (>= 0.1.1),
               libdbusmenu-gtk-dev (>= 0.1.1)
Standards-Version: 3.8.3
Homepage: https://launchpad.net/indicator-applet-developers

Package: indicator-datetime
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: A very, very simple clock
 A simple clock appearing in the indicator bar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

install/indicator-datetime::
	find debian/indicator-datetime/usr/lib -name \*.la -exec rm {} \;
	find debian/indicator-datetime/usr/lib -name \*.a -exec rm {} \;

common-binary-post-install-arch:: list-missing

## indicator-datetime 0.4.0.5-0newyork1

=== debian/changelog ===
indicator-datetime (0.4.0.5-0newyork1) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Removed android account integration.

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Wed, 18 Jul 2012 12:09:47 +0000

indicator-datetime (0.4.0.4-0newyork1) precise; urgency=low

  * Uses new signal "SyncSettingsUpdated" to sync calendar accounts. 
  * Updated client to works with new server API.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 28 Jun 2012 14:57:16 -0700

indicator-datetime (0.4.0.3-0newyork1) precise; urgency=low

  * Fixed events menu. (LP: #1017555)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 26 Jun 2012 08:04:32 -0700

indicator-datetime (0.4.0.2-0newyork1) precise; urgency=low

  * Implemented support for "AccountsUpdated" signal.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Fri, 22 Jun 2012 15:50:39 -0700

indicator-datetime (0.4.0.1-0newyork1) precise; urgency=low

  * Implemented android calendar integration.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 21 Jun 2012 11:40:25 -0700

indicator-datetime (0.4.0.0-0newyork1) precise; urgency=low

  * Merged mainline 4.0
  * Removed gtk2 compat package;

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 20 Jun 2012 13:16:12 -0700

indicator-datetime (0.3.94-0ubuntu2newyork2) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path,
    and match the interface name. (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:47:49 +0200

indicator-datetime (0.3.94-0ubuntu2newyork1) precise; urgency=low

  * NewYork release

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Thu, 19 Apr 2012 16:35:32 -0300

indicator-datetime (0.3.94-0ubuntu2) precise; urgency=low

  * src/datetime-prefs-locations.c, src/datetime-prefs.c
    - Switch the parsing of the lat and long to be non-locale based as it's 
      returned from the webservice in C, we want to parse it using the decimal 
      instead of a comma.  This fixes incorrect timezone selection for users 
      with a locale that uses a comma as a decimal separator  (LP: #773987)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 18 Apr 2012 23:20:30 -0400

indicator-datetime (0.3.94-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix location timezone sorting issue.
    * Clicking the systems settings window shouldn't close the
      Locations dialog. (LP: #947315)
    * Add gcov targets to autotools build for code-coverage reporting.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 04 Apr 2012 16:53:20 -0500

indicator-datetime (0.3.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix g-c-c crash caused by datetime's prefs panel (LP: #942450)
    * Fix several memory leaks in datetime's preferences page (LP: #965533)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 28 Mar 2012 16:10:35 -0700

indicator-datetime (0.3.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix several memory leaks (LP: #772340, LP: #957320)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 21 Mar 2012 11:22:20 -0500

indicator-datetime (0.3.91-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Make GSettings readonly to fix DConf service starting on boot 
    * Explicitly give types to GVariant Builder
    * Confirm scanf usage for Coverity (LP: #943747)
    * Remove unused code (LP: #943746)
    * Fix timezone ordering in the menu (LP: #833325, LP: #833337)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Mar 2012 16:58:28 -0600

indicator-datetime (0.3.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Still need to distribute these files even if we're not building it
    * Adding some extra ignore stuff in
    * Adding in code coverage calculation
    * Allow ccpanel to be optional
    * Move to use libtimezone map
    * Add a name hint on the indicator
    * Build fixes for updated dependencies
    * Fixing Geoclue support
  * debian/control:
    * Bumping libdbusmenu requirement to 0.5.90
    * Added dependency on libtimezonemap
  * debian/patches: Removed, all upstream.

 -- Ted Gould <ted@ubuntu.com>  Fri, 17 Feb 2012 16:24:51 -0600

indicator-datetime (0.3.1-0ubuntu5) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:54:53 -0500

indicator-datetime (0.3.1-0ubuntu4) precise; urgency=low

  [ Andreas Moog ]
  * Migrate from libpolkit-gtk-1-dev to libpolkit-gobject-1-dev.

  [ Martin Pitt ]
  * Add disable_Werror.patch: Disable -Werror, causes build failures due to
    deprecated symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2012 13:09:08 +0100

indicator-datetime (0.3.1-0ubuntu3) precise; urgency=low

  * Rebuild for the new e-d-s libraries.
  * debian/patches/gtk_box_api.patch: port gtk_hbox_new() to gtk_box_new() if
    building for GTK3, no change if building against GTK2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 13 Jan 2012 00:03:40 +0100

indicator-datetime (0.3.1-0ubuntu2) precise; urgency=low

  * debian/patches/lp_802384.patch
    - Fixed a NULL check which prevented querying geoclue (LP: #802384)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 28 Oct 2011 11:20:55 -0400

indicator-datetime (0.3.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    * Drop an unused icon (LP: #746176)
    * Fix showing a timezone that we're currently set to (LP: #833337)
    * Remove check for libunique as it's unused
  * debian/control: Drop libunique requirements, it was unused

 -- Ted Gould <ted@ubuntu.com>  Thu, 13 Oct 2011 13:40:21 -0500

indicator-datetime (0.3.0-0ubuntu3) oneiric; urgency=low

  * Reupload to oneiric final, the fix is safe and important enough.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Oct 2011 06:50:30 +0200



=== debian/control ===
Source: indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cdbs, 
               debhelper (>= 5), 
               quilt,
               intltool (>= 0.35.0), 
               libindicator-dev (>= 0.3.90),
               libindicator3-dev (>= 0.3.90),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libglib2.0-dev (>= 2.29.19),
               libido-0.1-dev (>= 0.2.2),
               libido3-0.1-dev (>= 0.2.90),
               libgeoclue-dev (>= 0.12.0),
               libecal1.2-dev (>= 2.30),
               libical-dev (>= 0.44),
               libgtk2.0-dev (>= 2.22),
               libgtk-3-dev (>= 3.1.4),
               libcairo2-dev (>= 1.10),
               libjson-glib-dev,
               libpolkit-gobject-1-dev,
               libedataserver1.2-dev (>= 2.30),
               libedataserverui-3.0-dev,
               libgconf2-dev (>= 2.31),
               libgnome-control-center-dev,
               dh-autoreconf,
               libtimezonemap1-dev,
               gnome-common
Standards-Version: 3.9.2
Homepage: https://launchpad.net/indicator-datetime
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-datetime/ubuntu

Package: indicator-datetime
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         gnome-control-center,
         geoclue-ubuntu-geoip | geoclue-provider
Recommends: indicator-applet | indicator-renderer, evolution-data-server
Description: Simple clock
 A simple clock appearing in the indicator bar

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk3

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)
debian/autoreconf.after:
	./autogen.sh --prefix=/usr
	make distclean
	dh_autoreconf $(DEB_DH_AUTORECONF_ARGS)

common-install-arch::
	find debian/tmp -name \*.la -delete
	find debian/tmp -name \*.a -delete
	cd po; intltool-update --pot --verbose
	# Language packs
	for d in $$(find debian/tmp -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
		sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
		echo "X-Ubuntu-Gettext-Domain=indicator-datetime" >> $$d; \
       	done;

## indicator-datetime 13.10.0+14.04.20140415.3

=== CMakeLists.txt ===
project (indicator-datetime C CXX)
cmake_minimum_required (VERSION 2.8.9)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set (PROJECT_VERSION "14.04.0")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "indicator-datetime")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

##
##  GNU standard installation directories
## 

include (GNUInstallDirs)
if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
endif ()
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (FindPkgConfig)

pkg_check_modules (SERVICE_DEPS REQUIRED
                   glib-2.0>=2.36
                   gio-unix-2.0>=2.36
                   libical>=0.48
                   libecal-1.2>=3.5
                   libedataserver-1.2>=3.5
                   libcanberra>=0.12
                   libnotify>=0.7.6
                   url-dispatcher-1>=1
                   properties-cpp>=0.0.1)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (clean-coverage
                   COMMAND find ${CMAKE_BINARY_DIR} -name '*.gcda' | xargs rm -f)

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

set (CC_WARNING_ARGS " -Wall -Wshadow -Wextra -Wunused -Wformat=2 -Wno-missing-field-initializers")
set (CXX_WARNING_ARGS " -Wall -Wextra -pedantic -Wno-missing-field-initializers")

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# testing & coverage
if (${enable_tests})
  pkg_check_modules (DBUSTEST REQUIRED dbustest-1>=14.04.0)
  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
  set (GTEST_LIBS -lpthread)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

# actually build things
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
if (${enable_tests})
  add_subdirectory(tests)
endif ()

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

include (UseGSettings)
set (SCHEMA_NAME "com.canonical.indicator.datetime.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}")
add_schema (${SCHEMA_FILE})


##
##  Upstart Job File
##

# where to install
set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job File install dir")

set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")

# install it
install (FILES "${UPSTART_JOB_FILE}"
         DESTINATION "${UPSTART_JOB_DIR}")

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Upstart XDG Autostart Override
##

# where to install
set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")

set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")

# install it
install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
         RENAME "${XDG_AUTOSTART_NAME}")

##
##  Unity Indicator File
##

# where to install
set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")

set (UNITY_INDICATOR_NAME "com.canonical.indicator.datetime")
set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")

install (FILES "${UNITY_INDICATOR_FILE}"
         DESTINATION "${UNITY_INDICATOR_DIR}")

=== include/CMakeLists.txt ===
add_subdirectory(datetime)

=== src/CMakeLists.txt ===
set (SERVICE_LIB "indicatordatetimeservice")
set (SERVICE_EXEC "indicator-datetime-service")

SET (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -std=c99   -g ${CXX_WARNING_ARGS} ${GCOV_FLAGS}")
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${CXX_WARNING_ARGS} ${GCOV_FLAGS}")

add_definitions (-DTIMEZONE_FILE="/etc/timezone"
                 -DG_LOG_DOMAIN="Indicator-Datetime")

add_library (${SERVICE_LIB} STATIC
             actions.cpp
             actions-live.cpp
             appointment.cpp
             clock.cpp
             clock-live.cpp
             clock-watcher.cpp
             date-time.cpp
             engine-eds.cpp
             exporter.cpp
             formatter.cpp
             formatter-desktop.cpp
             locations.cpp
             locations-settings.cpp
             menu.cpp
             planner-month.cpp
             planner-range.cpp
             planner-upcoming.cpp
             settings-live.cpp
             snap.cpp
             timezone-file.cpp
             timezone-geoclue.cpp
             timezones-live.cpp
             utils.c)
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

add_executable (${SERVICE_EXEC} main.cpp)
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC 
             ${GTEST_SOURCE_DIR}/gtest-all.cc 
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -g ${CC_WARNING_ARGS}")

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the indicator-datetime schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.datetime.gschema.xml
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})

add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")


function(add_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  add_test (${TEST_NAME} ${TEST_NAME})
  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
endfunction()
add_test_by_name(test-actions)
add_test_by_name(test-clock)
add_test_by_name(test-clock-watcher)
add_test_by_name(test-exporter)
add_test_by_name(test-formatter)
add_test_by_name(test-live-actions)
add_test_by_name(test-locations)
add_test_by_name(test-menus)
add_test_by_name(test-planner)
add_test_by_name(test-settings)
add_test_by_name(test-timezone-file)
add_test_by_name(test-utils)

set (TEST_NAME manual-test-snap)
add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
add_dependencies (${TEST_NAME} libindicatordatetimeservice)
target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})

# disabling the timezone unit tests because they require
# https://code.launchpad.net/~ted/dbus-test-runner/multi-interface-test/+merge/199724
# which hasn't landed yet. These can be re-enabled as soon as that lands.
#function(add_dbusmock_test_by_name name)
#  set (TEST_NAME ${name})
#  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
#  add_test (${TEST_NAME} ${TEST_NAME})
#  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
#  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBS})
#endfunction()
#add_dbusmock_test_by_name(test-timezone-geoclue)
#add_dbusmock_test_by_name(test-timezones)

## indicator-datetime 13.10.0+14.10.20141009

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 ##
 
 find_package (PkgConfig REQUIRED)
+include (CheckIncludeFile)
 include (FindPkgConfig)
 
 pkg_check_modules (SERVICE_DEPS REQUIRED
@@ -37,7 +38,7 @@
                    libical>=0.48
                    libecal-1.2>=3.5
                    libedataserver-1.2>=3.5
-                   libcanberra>=0.12
+                   gstreamer-1.0>=1.2
                    libnotify>=0.7.6
                    url-dispatcher-1>=1
                    properties-cpp>=0.0.1)

=== src/CMakeLists.txt ===
set (SERVICE_LIB "indicatordatetimeservice")
set (SERVICE_EXEC "indicator-datetime-service")

add_definitions (-DTIMEZONE_FILE="/etc/timezone"
                 -DG_LOG_DOMAIN="Indicator-Datetime")

# handwritten sources
set (SERVICE_C_SOURCES
     utils.c)
set (SERVICE_CXX_SOURCES
     actions.cpp
     actions-live.cpp
     alarm-queue-simple.cpp
     awake.cpp
     appointment.cpp
     clock.cpp
     clock-live.cpp
     date-time.cpp
     engine-eds.cpp
     exporter.cpp
     formatter.cpp
     formatter-desktop.cpp
     haptic.cpp
     locations.cpp
     locations-settings.cpp
     menu.cpp
     notifications.cpp
     planner.cpp
     planner-aggregate.cpp
     planner-snooze.cpp
     planner-month.cpp
     planner-range.cpp
     planner-upcoming.cpp
     settings-live.cpp
     snap.cpp
     sound.cpp
     timezone-file.cpp
     timezone-geoclue.cpp
     timezones-live.cpp
     utils.c
     wakeup-timer-mainloop.cpp
     wakeup-timer-powerd.cpp)

# generated sources
include (GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                  com.canonical.indicator
                  ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.datetime.AlarmProperties.xml)

# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set_source_files_properties(${SERVICE_CXX_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c++11")
set_source_files_properties(${SERVICE_C_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")

# add the bin dir to our include path so our code can find the generated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_library (${SERVICE_LIB} STATIC ${SERVICE_C_SOURCES} ${SERVICE_CXX_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

add_executable (${SERVICE_EXEC} main.cpp)
set_source_files_properties(${SERVICE_SOURCES} main.cpp PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} -g -std=c++11")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,12 @@
 set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
 set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)
 
-SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -g ${CC_WARNING_ARGS}")
+SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${CC_WARNING_ARGS}")
+
+# dbustest
+pkg_check_modules(DBUSTEST REQUIRED
+                  dbustest-1>=14.04.0)
+include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})
 
 # build the necessary schemas
 set_directory_properties (PROPERTIES
@@ -21,14 +26,16 @@
                  OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
 add_custom_command (OUTPUT gschemas.compiled
-                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.datetime.gschema.xml
-                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
+                    DEPENDS ${CMAKE_BINARY_DIR}/data/com.canonical.indicator.datetime.gschema.xml
+                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                     COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
 
 # look for headers in our src dir, and also in the directories where we autogenerate files...
 include_directories (${CMAKE_SOURCE_DIR}/src)
+include_directories (${CMAKE_BINARY_DIR}/src)
 include_directories (${CMAKE_CURRENT_BINARY_DIR})
 include_directories (${DBUSTEST_INCLUDE_DIRS})
+
 
 add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
 
@@ -38,11 +45,13 @@
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
   add_test (${TEST_NAME} ${TEST_NAME})
   add_dependencies (${TEST_NAME} libindicatordatetimeservice)
-  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
 endfunction()
+add_test_by_name(test-snap)
 add_test_by_name(test-actions)
+add_test_by_name(test-alarm-queue)
+add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
 add_test_by_name(test-clock)
-add_test_by_name(test-clock-watcher)
 add_test_by_name(test-exporter)
 add_test_by_name(test-formatter)
 add_test_by_name(test-live-actions)

## indicator-datetime 13.10.0+15.04.20150406

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,9 @@
 add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                   com.canonical.indicator
                   ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.datetime.AlarmProperties.xml)
+add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
+                  com.ubuntu.touch
+                  ${CMAKE_SOURCE_DIR}/src/com.ubuntu.touch.AccountsService.Sound.xml)
 
 # add warnings/coverage info on handwritten files
 # but not the autogenerated ones...

## indicator-datetime 13.10.0+15.10.20150909

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
                    glib-2.0>=2.36
                    gio-unix-2.0>=2.36
                    libical>=0.48
-                   libecal-1.2>=3.5
+                   libecal-1.2>=3.16
                    libedataserver-1.2>=3.5
                    gstreamer-1.0>=1.2
                    libnotify>=0.7.6

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,15 @@
 
 include (UseGSettings)
 set (SCHEMA_NAME "com.canonical.indicator.datetime.gschema.xml")
-set (SCHEMA_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}")
+set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
+set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
+
+# generate the .xml file using intltool
+set (ENV{LC_ALL} "C")
+execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+
+# let UseGSettings do the rest
 add_schema (${SCHEMA_FILE})
-
 
 ##
 ##  Upstart Job File

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -38,15 +38,15 @@
 
 
 add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
-
+add_definitions (-DG_LOG_DOMAIN="Indicator-Datetime")
 
 function(add_test_by_name name)
   set (TEST_NAME ${name})
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
   add_test (${TEST_NAME} ${TEST_NAME})
-  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
   target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
 endfunction()
+add_test_by_name(test-datetime)
 add_test_by_name(test-snap)
 add_test_by_name(test-actions)
 add_test_by_name(test-alarm-queue)
@@ -59,13 +59,39 @@
 add_test_by_name(test-menus)
 add_test_by_name(test-planner)
 add_test_by_name(test-settings)
-add_test_by_name(test-timezone-file)
+add_test_by_name(test-timezone-timedated)
 add_test_by_name(test-utils)
 
 set (TEST_NAME manual-test-snap)
 add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
-add_dependencies (${TEST_NAME} libindicatordatetimeservice)
 target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+
+##
+## EDS Tests
+## 
+
+find_program(DBUS_RUNNER dbus-test-runner)
+
+function(add_eds_ics_test_by_name name)
+  set (TEST_NAME ${name})
+  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+  add_test (${TEST_NAME}
+            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
+            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
+            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
+            ${TEST_NAME}                                           # arg3: test name
+            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
+            ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics)          # arg5: the ical file for this test
+endfunction()
+add_eds_ics_test_by_name(test-eds-ics-all-day-events)
+add_eds_ics_test_by_name(test-eds-ics-repeating-events)
+add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)
+add_eds_ics_test_by_name(test-eds-ics-repeating-valarms)
+add_eds_ics_test_by_name(test-eds-ics-missing-trigger)
+add_eds_ics_test_by_name(test-eds-ics-tzids)
+add_eds_ics_test_by_name(test-eds-ics-tzids-2)
+
 
 # disabling the timezone unit tests because they require
 # https://code.launchpad.net/~ted/dbus-test-runner/multi-interface-test/+merge/199724
@@ -74,7 +100,6 @@
 #  set (TEST_NAME ${name})
 #  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
 #  add_test (${TEST_NAME} ${TEST_NAME})
-#  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
 #  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBS})
 #endfunction()
 #add_dbusmock_test_by_name(test-timezone-geoclue)

## indicator-datetime 15.10%2B17.10.20170829.2

=== CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_update_potfile(
    KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Canonical Ltd."
    FILTER "test/*"
)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)

## indicator-datetime 15.10%2B20.04.20200217-0ubuntu1%2B10.0trisquel2

=== debian/changelog ===
indicator-datetime (15.10+20.04.20200217-0ubuntu1+10.0trisquel2) nabia; urgency=medium

  * Add MATE compatibility

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 27 Jun 2021 02:44:25 +0000

indicator-datetime (15.10+20.04.20200217-0ubuntu1) focal; urgency=medium

  * Add support for MATE Time Admin.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 17 Feb 2020 15:37:23 +0100

indicator-datetime (15.10+19.10.20190819.1-0ubuntu1) eoan; urgency=medium

  * engine-eds: Stop accidentally freeing an alarm trigger.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Aug 2019 15:49:15 +0100

indicator-datetime (15.10+19.10.20190819-0ubuntu1) eoan; urgency=medium

  * engine-eds: Port to libecal-2.0. The API changed quite a lot and
    libical-glib is now exposed directly.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Aug 2019 12:53:21 +0100

indicator-datetime (15.10+19.10.20190507-0ubuntu2) eoan; urgency=medium

  * debian/control: 
    - stop recommending geoclue-ubuntu-geoip, it is deprecated and depend
      on an old geoclue version which is being removed from the archive.
      Without it the currently-in-timezone is not going to be listed
      but that's not an essential feature, it can come back when the code
      is ported to the newer api.

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 18 May 2019 08:30:53 +0200

indicator-datetime (15.10+19.10.20190507-0ubuntu1) eoan; urgency=medium

  * Add support for MATE Desktop.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 07 May 2019 11:35:36 +0100

indicator-datetime (15.10+19.04.20190207-0ubuntu1) disco; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Feb 2019 11:45:56 +0000

indicator-datetime (15.10+17.10.20170829.2-0ubuntu4) bionic; urgency=medium

  * Add "X-Ubuntu-Use-Langpack: yes" to debian/control now that this package is
    in Universe (LP: #1760435).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 01 Apr 2018 20:11:02 -0500

indicator-datetime (15.10+17.10.20170829.2-0ubuntu3) bionic; urgency=medium

  * No change rebuild for evolution-data-server transition

 -- Tim Lunn <tim@feathertop.org>  Sun, 04 Mar 2018 12:26:43 +1100

indicator-datetime (15.10+17.10.20170829.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 17:19:06 +0100

indicator-datetime (15.10+17.10.20170829.2-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Drop the dependency from ubuntu-app-launch.
  * Use 30-jun instaed of 31-jun.

  [ Marco Trevisan (Treviño) ]
  * tests: add fake calendar desktop and icon files so that they can be
    used at testing time

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 29 Aug 2017 15:37:23 +0000

indicator-datetime (15.10+17.10.20170606-0ubuntu1) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop language-pack-touch-en build dependency.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Jun 2017 01:05:07 +0000

indicator-datetime (15.10+17.04.20170322-0ubuntu2) zesty; urgency=medium

  * No-change rebuild (LP: #1681870).

 -- Åukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Apr 2017 17:32:50 +0100

indicator-datetime (15.10+17.04.20170322-0ubuntu1) zesty; urgency=medium

  * no change rebuild

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Mar 2017 18:28:10 +0000

indicator-datetime (15.10+17.04.20170309-0ubuntu1) zesty; urgency=medium

  * Capitalize Settings in indicator menu to match capitalization style

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Mar 2017 16:12:11 +0000

indicator-datetime (15.10+17.04.20170227-0ubuntu1) zesty; urgency=medium

  * Handle UAL API bump

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 27 Feb 2017 14:58:04 +0000

indicator-datetime (15.10+17.04.20170210-0ubuntu1) zesty; urgency=medium

  * Update app name usage to match snaps.
  * Switch to using gmock module from cmake-extras.
  * Use cmake-extras for coverage support and always enable testing.
  * Use cmake-extras intltool module, and keep pot file in vcs.
  * Remove old autostart .desktop files.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 10 Feb 2017 17:10:07 +0000

indicator-datetime (15.10+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Run inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Thu, 01 Dec 2016 22:34:08 +0000

indicator-datetime (15.10+17.04.20161116.1-0ubuntu1) zesty; urgency=medium

  * UpcomingPlanner: don't get events from the day before of the
    selected one (LP: #1641720, #1641726)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 16 Nov 2016 23:52:50 +0000

indicator-datetime (15.10+17.04.20161104-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Remember the system bus instead of fetching it asynchronously (LP:
    #1588526)

 -- charles.kerr@canonical.com <charles.kerr@canonical.com>  Fri, 04 Nov 2016 16:45:17 +0000

indicator-datetime (15.10+17.04.20161021-0ubuntu1) zesty; urgency=medium

  [ Martin Pitt ]
  * Add a systemd user unit

  [ Ted Gould ]
  * Adding a systemd user unit
  * Use an explicit registry object so that it gets free'd when the
    function exits

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 10:17:05 +0000

indicator-datetime (15.10+16.10.20160820.1-0ubuntu1) yakkety; urgency=medium

  * No change rebuild for UAL ABI change

 -- Ted Gould <ted@gould.cx>  Sat, 20 Aug 2016 21:12:55 +0000

indicator-datetime (15.10+16.10.20160820-0ubuntu1) yakkety; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 03:16:45 +0000

indicator-datetime (15.10+16.10.20160707-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Update indicator-datetime to work with the new notification settings
  * Remove call to keepDisplayOn since that now is handled by Unity


=== debian/control ===
Source: indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cmake,
               cmake-extras (>= 1.1),
               dbus,
               debhelper (>= 9),
               dh-translations,
               gcovr,
               intltool,
               lcov,
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev (>= 0.7.6),
               libgstreamer1.0-dev,
               libecal2.0-dev,
               libical-dev,
               libedataserver1.2-dev (>= 3.5),
               liburl-dispatcher1-dev,
               libproperties-cpp-dev,
# for com.ubuntu.notifications.hub schema to pick up blacklist of apps that can't show notifications
               gsettings-ubuntu-schemas (>= 0.0.7),
# for the test harness:
               googletest | google-mock,
               libdbustest1-dev,
               dbus-test-runner,
               python3-dbusmock,
# for 12h/24h locale unit tests:
               locales,
               language-pack-en-base,
# for running live EDS tests:
               evolution-data-server,
               gvfs-daemons,
# for phone alarm/calendar notification sound tests:
               ubuntu-touch-sounds,
# for query user e-mails based on accounts
               libaccounts-glib-dev,
# messaging menu integration
               libmessaging-menu-dev,
               uuid-dev,
# to locate the place to put systemd files
               systemd,
Standards-Version: 3.9.3
Homepage: https://launchpad.net/indicator-datetime
# If you aren't a member of ~indicator-applet-developers but need to upload
# packaging changes, just go ahead.  ~indicator-applet-developers will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~indicator-applet-developers/indicator-datetime/trunk.16.10
Vcs-Browser: https://bazaar.launchpad.net/~indicator-applet-developers/indicator-datetime/trunk.16.10/files
X-Ubuntu-Use-Langpack: yes

Package: indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-ubuntu-schemas (>= 0.0.7),
         indicator-common,
         systemd,
Recommends: indicator-applet | indicator-renderer,
            evolution-data-server,
            unity-control-center (>= 14.04.3) | gnome-control-center | gnome-system-tools,
            ubuntu-touch-sounds,
Description: Simple clock
 A simple clock appearing in the indicator bar

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with translations

override_dh_install:
	dh_install --fail-missing
